<?php
session_start();

require_once 'class/Google_Analytics.php';
require_once 'inc/google_functions.php';


//
// configuration
Google_Analytics::set('profil_id'	,	'123456' );
Google_Analytics::set('base_url'	,	'http://monsite.fr/mapage.php' );


//
// Etablir la connexion  Google Analytics
Google_Analytics::authentificate();


//
// lister les comptes
$accountxml = Google_Analytics::call("https://www.google.com/analytics/feeds/accounts/default");
$tProfiles	= parse_account_list($accountxml);


//
// bonus
// pour chaque compte, indiquer le nombre de pages vues entre le 1er juin 2007 et aujourd'hui
$totalviews = 0;
echo '<table><tr><th>Site</th><th>Pages vues</th></tr>';
foreach($tProfiles as $profile)
{
	
	$requrl = sprintf("https://www.google.com/analytics/feeds/data?ids=%s&metrics=ga:pageviews&start-date=2007-06-01&end-date=".date('Y-m-d'), $profile["tableId"]);
	$pagecountxml = Google_Analytics::call($requrl);
	

	$doc = new DOMDocument();
	$doc->loadXML($pagecountxml);

	$metrics = $doc->getElementsByTagName("metric");
	$views = $metrics->item(0)->getAttribute('value');
	$totalviews = $totalviews + $views;

	echo '<tr><td>'.$profile["title"].'</td><td>'.number_format($views, 0, ",", " ").'</td></tr>';

}

echo "</table><br />Total : ".$totalviews;
?>